# Get

## Retrieve one access tag

### Parameters:

| Name           | Optional / Required | Data type | Description                                                                                                                    | Default                                                                 |
| -------------- | ------------------- | --------- | ------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------------------------- |
| id             | required            | String    | One of your access tag ids                                                                                                     |                                                                         |
| return\_fields | optional            | String    | Customize the responses by setting the return fields (id, name, description, default, iap, kiosks, create\_date, update\_date) | id, name, description, default, iap, kiosks, create\_date, update\_date |

### Demo

&#x20;URL Find your token on - [yumpu.com](https://www.yumpu.com/en/account/profile/api) Token&#x20;

&#x20;id&#x20;

#### Optional parameters:

&#x20;return\_fields&#x20;

Add optional parametersRun request

```
```

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X GET -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" "https://api.yumpu.com/2.0/account/access_tag.json?id=HnD4YrKMeGjxH3xT"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'id' => 'HnD4YrKMeGjxH3xT',
    'limit' => '2',
    'offset' => '0'
);
$listAccesstag = $yumpu->getAccessTag($data);
print_r($listAccesstag);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  id: HnD4YrKMeGjxH3xT,
  limit: 2,
  offset: 0
};
yumpu.getAccessTag(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String[] params = { "id=HnD4YrKMeGjxH3xT", "limit=2", "offset=0" };
System.out.println(y.getAccessTag(params));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```javascript
{
  "access_tag": {
    "id": "HnD4YrKMeGjxH3xT",
    "create_date": "2015-01-27 08:54:41",
    "update_date": "0000-00-00 00:00:00",
    "name": "accesstag1",
    "description": "accesstag1",
    "default": false,
    "iap": true,
    "kiosks": [
      {
        "id": "72",
        "type": "appkiosk"
      }
    ]
  },
  "state": "success",
  "completed_in": "0.0234"
}
```
